package com.kingtom.shengtai.app.srm.model.table;

import java.io.Serial;

import com.mybatisflex.core.query.QueryColumn;
import com.mybatisflex.core.table.TableDef;

/**
 * 供应商合作记录表 表定义层。
 *
 * @author wany
 * @since 2023-12-21
 */
public class SrmCooperateTableDef extends TableDef {

    /**
     * 供应商合作记录表
     */
    public static final SrmCooperateTableDef SRM_COOPERATE = new SrmCooperateTableDef();

    @Serial
    private static final long serialVersionUID = 1496262111775862114L;

    /**
     * id
     */
    public final QueryColumn ID = new QueryColumn(this, "id");

    /**
     * 扩展字段1
     */
    public final QueryColumn EXT1 = new QueryColumn(this, "ext1");

    /**
     * 扩展字段2
     */
    public final QueryColumn EXT2 = new QueryColumn(this, "ext2");

    /**
     * 扩展字段3
     */
    public final QueryColumn EXT3 = new QueryColumn(this, "ext3");

    /**
     * 时间
     */
    public final QueryColumn TIME = new QueryColumn(this, "time");

    /**
     * 系统ID
     */
    public final QueryColumn SYS_ID = new QueryColumn(this, "sys_id");

    /**
     * 内容
     */
    public final QueryColumn CONTENT = new QueryColumn(this, "content");

    /**
     * 产品
     */
    public final QueryColumn PRODUCT = new QueryColumn(this, "product");

    /**
     * 创建时间
     */
    public final QueryColumn GMT_CREATE = new QueryColumn(this, "gmt_create");

    /**
     * 供应商Id
     */
    public final QueryColumn SUPPLIER_ID = new QueryColumn(this, "supplier_id");

    /**
     * 更新时间
     */
    public final QueryColumn GMT_MODIFIED = new QueryColumn(this, "gmt_modified");

    /**
     * 所有字段。
     */
    public final QueryColumn ALL_COLUMNS = new QueryColumn(this, "*");

    /**
     * 默认字段，不包含逻辑删除或者 large 等字段。
     */
    public final QueryColumn[] DEFAULT_COLUMNS = new QueryColumn[]{ID, SUPPLIER_ID, PRODUCT, CONTENT, TIME, EXT1, EXT2, EXT3, GMT_CREATE, GMT_MODIFIED, SYS_ID};

    public SrmCooperateTableDef() {
        super("public", "srm_cooperate");
    }

}
